 fs/buffer.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN fs/buffer.c~aio-06-bread_wq-fix fs/buffer.c
--- 25/fs/buffer.c~aio-06-bread_wq-fix	2003-08-06 19:59:49.000000000 -0700
+++ 25-akpm/fs/buffer.c	2003-08-06 19:59:49.000000000 -0700
@@ -1533,7 +1533,7 @@ __bread(struct block_device *bdev, secto
 		bh = __bread_slow(bh);
 	return bh;
 }
-
+EXPORT_SYMBOL(__bread);
 
 struct buffer_head *
 __bread_wq(struct block_device *bdev, sector_t block, int size,
@@ -1545,7 +1545,7 @@ __bread_wq(struct block_device *bdev, se
 		bh = __bread_slow_wq(bh, wait);
 	return bh;
 }
-EXPORT_SYMBOL(__bread);
+EXPORT_SYMBOL(__bread_wq);
 
 /*
  * invalidate_bh_lrus() is called rarely - at unmount.  Because it is only for
@@ -2024,8 +2024,8 @@ static int __block_prepare_write(struct 
 	/*
 	 * If we issued read requests - let them complete.
 	 */
-	while(wait_bh > wait) {
-		if (err = wait_on_buffer_wq(*--wait_bh, current->io_wait))
+	while (wait_bh > wait) {
+		if ((err = wait_on_buffer_wq(*--wait_bh, current->io_wait)))
 			return err;
 		if (!buffer_uptodate(*wait_bh))
 			return -EIO;

_
